//! Commonly used imports.

pub use std::{
  collections::{HashMap, HashSet, VecDeque},
  str::FromStr,
};

pub use {
  color_eyre::{
    eyre::{eyre, Error},
    Result,
  },
  itertools::Itertools,
  pathfinding::prelude::astar,
  regex::Regex,
};

pub use crate::solution::{Day, Solution};
