use crate::solution::Solution;

mod day_01;
mod day_02;
mod day_03;
mod day_04;
mod day_05;
mod day_06;
mod day_07;
mod day_08;
mod day_09;
mod day_10;
mod day_13;
mod day_14;
mod day_15;

pub fn get_solutions() -> Vec<Solution> {
  vec![
    day_01::solution(),
    day_02::solution(),
    day_03::solution(),
    day_04::solution(),
    day_05::solution(),
    day_06::solution(),
    day_07::solution(),
    day_08::solution(),
    day_09::solution(),
    day_10::solution(),
    day_13::solution(),
    day_14::solution(),
    day_15::solution(),
  ]
}
